| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Static Public Member Functions | List of all members
nkAstraeus::nkGraphicsWrap::NodeManagerWrapper Class Referencefinal

Wraps the nkGraphics::NodeManager and offers functions for use in scripting. More...

## Static Public Member Functions
static void | updateEnvironment (nkScripts::Environment *env)
static nkScripts::OutputValue | createOrRetrieve (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | erase (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | rename (const nkScripts::DataStack &stack)

## Detailed Description

Wraps the nkGraphics::NodeManager and offers functions for use in scripting.

## Member Function Documentation

## ◆ updateEnvironment()

static void nkAstraeus::nkGraphicsWrap::NodeManagerWrapper::updateEnvironment | ( | nkScripts::Environment * | env | ) |
| static

Updates a given environment and set it up to use all functions wrapped by this wrapper.

Parameters

  env | The environment to set up.

## ◆ createOrRetrieve()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeManagerWrapper::createOrRetrieve | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::NodeManager::createOrRetrieve().

local c = nkGraphics.NodeManager.createOrRetrieve("Hey") ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a nkGraphics::Node.

## ◆ erase()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeManagerWrapper::erase | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::NodeManager::rename().

local c = nkGraphics.NodeManager.rename("Hey", "Hello") ;

Parameters

  stack | The parameter stack.

Returns
  The output value, empty.

## ◆ rename()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeManagerWrapper::rename | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::NodeManager::erase().

local c = nkGraphics.NodeManager.erase("Hey") ;

Parameters

  stack | The parameter stack.

Returns
  The output value, empty.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsAstraeus/Scripts/nkGraphicsWrap/Graph/NodeManagerWrapper.h